Bug 1382507 - Deployment fails when Keystone and Heat services are deployed on different roles nodes
Summary: Deployment fails when Keystone and Heat services are deployed on different ro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Steven Hardy
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks: 1337782
TreeView+ depends on / blocked
 
Reported: 2016-10-06 20:32 UTC by Marius Cornea
Modified: 2016-12-14 16:10 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.8.0rc3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:10:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 387288 None None None 2016-10-17 18:45:25 UTC
OpenStack gerrit 387289 None None None 2016-10-17 18:45:05 UTC
Launchpad 1631130 None None None 2016-10-06 20:32:48 UTC

Description Marius Cornea 2016-10-06 20:32:49 UTC
Description of problem:
I'm doing a deployment with the following nodes: controllers, service api nodes + keystone nodes. Here is the service assignment per roles:

http://paste.openstack.org/show/584723/

The deployment fails with the following error:

openstack stack failures list overcloud
overcloud.AllNodesDeploySteps.ServiceApiDeployment_Step5.0:
  resource_type: OS::Heat::StructuredDeployment
  physical_resource_id: 2b34a4cd-bb54-4ba4-b186-7c377d75e719
  status: CREATE_FAILED
  status_reason: |
    Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
  deploy_stdout: |
    Matching apachectl 'Server version: Apache/2.4.6 (Red Hat Enterprise Linux)
    Server built: Aug 3 2016 08:33:27'
  deploy_stderr: |
    ...
    Warning: Scope(Class[Gnocchi::Api]): gnocchi:api::keystone_identity_uri is deprecated, use gnocchi::keystone::authtoken::auth_url instead
    Warning: Scope(Class[Gnocchi::Api]): gnocchi::api::keystone_auth_uri is deprecated, use gnocchi::keystone::authtoken::auth_uri instead
    Warning: Scope(Class[Mongodb::Server]): Replset specified, but no replset_members or replset_config provided.
    Warning: Not collecting exported resources without storeconfigs
    Warning: Not collecting exported resources without storeconfigs
    Warning: Not collecting exported resources without storeconfigs
    Warning: Not collecting exported resources without storeconfigs
    Warning: Not collecting exported resources without storeconfigs
    Error: Could not find resource 'Class[Keystone::Roles::Admin]' for relationship on 'Class[Heat::Keystone::Domain]' on node overcloud-serviceapi-0.localdomain
    Error: Could not find resource 'Class[Keystone::Roles::Admin]' for relationship on 'Class[Heat::Keystone::Domain]' on node overcloud-serviceapi-0.localdomain
    (truncated, view all with --long)

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-5.0.0-0.20160929150845.4cdc4fc.el7ost.noarch

Comment 1 James Slagle 2016-10-07 15:07:36 UTC
steve, looks like you moved the upstream bug to ocata. if this is not needed for newton, please update this accordingly (remove osp10 flag, blocker flag and target release).

Comment 2 Steven Hardy 2016-10-10 14:19:45 UTC
This bug only happens when attempting to deploy heat on a custom role (e.g not the Controller, so IMO it's something we want to fix but not a release blocker.

I'll try to make some progress on the upstream bug then we can hopefully backport the fix to stable/newton

Comment 4 Steve Linabery 2016-10-25 19:46:12 UTC
The second component listed in the external trackers is puppet-tripleo, and the referenced change is included in latest-build, puppet-tripleo-5.3.0-3.el7ost.

Comment 8 errata-xmlrpc 2016-12-14 16:10:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.